import axios from '@/utils/axios'

export default {
  /**
  * 用户信息
  */
  getUserInfo() {
    return axios.get('/report/api/getUserInfo')
  },
  /**
   * 修改密码
   */
  ChangePassword(params) {
    return axios({
      url: '/permission/api/admin/changePassword',
      method: 'post',
      params: params
    })
  },
  /**
   * 重置密码
   */
  ResetPassword(params) {
    return axios({
      url: '/permission/api/admin/resetPassword',
      method: 'post',
      params: params
    })
  },
  /**
   * 获取验证码
   */
  getVerifyCode() {
    return axios.get('/report/api/verifyCode')
  },
  /**
 * 获取用户权限
 */
  getPermissionList(params) {
    return axios.get('/report/api/getPermissionList', { params })
  },
  /**
    * 用户登录
    */
  adminLogin(data) {
    return axios.post('/report/api/login', data)
  },
  /**
   * 判断是否用户登录
   */
  IsadminLogin(params) {
    return axios({
      url: '/permission/api/system/getLoginStatusByToken',
      method: 'post',
      params: params
    })
    // return axios.post('/permission/api/system/getLoginStatusByToken', params)
  },
  /**
  * 退出登录
  */
  adminLogout() {
    return axios.post('/report/api/logout')
  },
  /**
  * 获取字典项
  */
  DictMessage() {
    return axios.get('/report/api/getSystemDicItem')
  },
/**
  * 获取场景信息
  */
 getDictsFromPAS() {
  return axios.get('/report/api/getDictsFromPAS')
},
  /** 
   * 获取所有人员
  */
  getAllPersonnel(){
    return axios.get('/report/api/getAllPersonnel')
  },

  /** 
   * 分页获取人员
  */
   getPartPersonnel(params){
    return axios.post('/report/api/getPartPersonnel',params)
  },
  /** 
   * 根据人员id获取人员
  */
   getPartPersonnelID(params){
    return axios.get('/report/api/getPartPersonnelID',{params})
  },

  /**
   * 获取所有客户
   */
  getAllClient(){
    return axios.get('/report/api/getAllClient')
  },

  /**
   * 获取所有部门
   */
  getAllDepartment(){
    return axios.get('/report/api/getPartDepartment')
  },
}